Skip to main content

List Clusters (V2)

List all clusters scoped to API Key.

GET/v2/clusters
Connection Endpoint

The base URL for this API is in the following format:

https://api.cloud.zilliz.com

📘Notes

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

shell
export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges.

Example Value: Bearer {{TOKEN}}
Acceptstringheader

Use application/json.

Example Value: application/json
pageSizeintegerquery

The number of records to include in each response.

Example Value: 10
currentPageintegerquery

The current page number.

Example Value: 1
regionstringquery

The ID of the cloud region. If specified, only clusters in that region are returned.

projectIdstringquery

The ID of the project. If specified, only clusters in that project are returned.

regionIdstringquery

The ID of the cloud region. If specified, only clusters in that region are returned.

bash
export TOKEN="YOUR_API_KEY"

curl --request GET \
--url "${BASE_URL}/v2/clusters" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Accept: application/json" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
Responses

Return a list of clusters in detail.

A response payload variant returned when listing Clusters.

codeinteger<int32>

Response code.

dataobject

Response payload.

countinteger<int32>

Total number of clusters.

currentPageinteger<int32>

Current page number.

pageSizeinteger<int32>

Number of entries per page.

clustersarray

Clusters in the current page.

[]clustersobject

Details of a cluster.

clusterIdstring

ID of the cluster.

clusterNamestring

Name of the cluster.

descriptionstring

Description of the cluster.

regionIdstring

ID of the region where the cluster is deployed.

cuTypestring

CU type of the cluster.

planstring

Plan of the cluster.

cuSizeinteger<int64>

Number of CUs allocated to the cluster.

Value Range: 0≤ 256
statusstring

Status of the cluster.

connectAddressstring

Endpoint used to connect to the cluster.

privateLinkAddressstring

Private link endpoint of the cluster.

createTimestring<date-time>

Time when the cluster was created.

projectIdstring

ID of the project the cluster belongs to.

deploymentOptionstring

Deployment option of the cluster.

globalClusterMetaobject

Metadata of the global cluster the cluster belongs to. Omitted when the cluster is not part of a global cluster.

globalClusterIdstring

ID of the global cluster.

rolestring

Role of the cluster in the global cluster.

Returns an error message.

codeinteger

Response code.

messagestring

Error message.

json
{
"code": 0,
"data": {
"count": 1,
"currentPage": 1,
"pageSize": 10,
"clusters": [
{
"clusterId": "inxx-xxxxxxxxxxxxxxx",
"clusterName": "dedicated-3",
"description": "",
"regionId": "aws-us-west-2",
"plan": "Enterprise",
"cuType": "Performance-optimized",
"cuSize": 1,
"status": "RUNNING",
"connectAddress": "https://inxx-xxxxxxxxxxxxxxx.aws-us-west-2.vectordb.zillizcloud.com:19530",
"privateLinkAddress": "",
"createTime": "2024-06-30T16:49:50Z",
"projectId": "proj-xxxxxxxxxxxxxxxxxxxxxx",
"deploymentOption": "Dedicated"
}
]
}
}
json
{
"code": 0,
"data": {
"count": 1,
"currentPage": 1,
"pageSize": 10,
"clusters": [
{
"clusterId": "inxx-xxxxxxxxxxxxxxx",
"clusterName": "dedicated-3",
"description": "",
"regionId": "aws-us-west-2",
"plan": "Enterprise",
"cuType": "Performance-optimized",
"cuSize": 1,
"status": "RUNNING",
"connectAddress": "https://inxx-xxxxxxxxxxxxxxx.aws-us-west-2.vectordb.zillizcloud.com:19530",
"privateLinkAddress": "",
"createTime": "2024-06-30T16:49:50Z",
"projectId": "proj-xxxxxxxxxxxxxxxxxxxxxx",
"deploymentOption": "Dedicated",
"globalClusterMeta": {
"globalClusterId": "glo-xxxxxxxxxxxxxxx",
"role": "PRIMARY"
}
}
]
}
}